"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBRegisterChangedEvent
	instanceVariableNames:'frame regnum'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Events'
!

!GDBRegisterChangedEvent class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBRegisterChangedEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#frame as:Integer;
        define:#regnum as:Integer;
        yourself

    "Created: / 18-11-2021 / 23:04:07 / Jan Vrany <jan.vrany@labware.com>"
    "Modified: / 18-09-2023 / 17:41:00 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBRegisterChangedEvent methodsFor:'initialization'!

setFrame: aGDBFrameOrInteger
    self assert: frame isNil.

    frame := aGDBFrameOrInteger

    "Created: / 06-12-2023 / 11:11:24 / Jan Vrany <jan.vrany@labware.com>"
!

setRegnum: anInteger
    self assert: regnum isNil.
    self assert: anInteger isInteger.

    regnum := anInteger

    "Created: / 06-12-2023 / 11:12:35 / Jan Vrany <jan.vrany@labware.com>"
! !

